\documentclass[8pt,aspectratio=169]{beamer}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage[most, minted]{tcolorbox}
\usepackage{xcolor}
\usepackage{graphicx}
\usepackage{fancyvrb}
\usepackage{tikz}
\usepackage{colortbl}
\usepackage{booktabs}
\usepackage[super]{nth}
\usepackage{amssymb}
\usepackage[binary-units=true]{siunitx}
\usepackage{booktabs}
\usepackage{pgfpages}

%\setbeameroption{show notes on second screen=left}

\usemintedstyle{emacs}

\makeatletter
% Define commands to select the folder where the Beamer theme lies in
\def\beamer@calltheme#1#2#3{%
	\def\beamer@themelist{#2}
	\@for\beamer@themename:=\beamer@themelist\do
	{\usepackage[{#1}]{\beamer@themelocation/#3\beamer@themename}}}

\def\usefolder#1{
	\def\beamer@themelocation{#1}
}
\def\beamer@themelocation{}

% Patch Table of Content to insert fixed spaces between items instead of vfills
\patchcmd{\beamer@sectionintoc}
{\vfill}
{\vskip\itemsep}
{}
{}

% New counter for line numbers
\newcounter{verbatim@cnt}

% This is for color band on the linenos in listings
\AtEndEnvironment{Verbatim}{%
	\stepcounter{verbatim@cnt}%
	\protected@write\@auxout{}{%
		\global\protect\@namedef{verbatim@numwidth@\the\c@verbatim@cnt}{%
			\ifnum\c@FancyVerbLine>999
				7.5mm%
			\else\ifnum\c@FancyVerbLine>99
					6mm%
				\else
					4mm%
				\fi\fi
		}%
	}%
}

\def\minted@auto@numwidth#1{%
	\ifcsname verbatim@numwidth@\the\numexpr\c@verbatim@cnt#1\relax\endcsname
		\csname verbatim@numwidth@\the\numexpr\c@verbatim@cnt#1\relax\endcsname
	\else
		4mm%
	\fi
}

\tcbset{bashstyle/.style={
			colframe=black!70,
			listing engine=minted,
			listing only,
			minted style=colorful,
			minted language=console,
			size=fbox,
			breakable,
			enhanced,
			minted options={
					autogobble=true,
					breaklines=true,
					breakbefore=.,
					numbersep=2mm,
				},
		}}

\newtcblisting{bashcode}{%
	colframe=black!70,
	width=\linewidth,
	bashstyle
}

\newtcblisting{consoleoutput}{%
	colback=black,
	colupper=gray!50,
	colframe=black!70,
	listing engine=minted,
	listing only,
	minted style=monokai,
	minted language=console,
	size=fbox,
	breakable,
	enhanced,
	minted options={
			autogobble=true,
			breaklines=true,
			breakbefore=.,
			numbersep=2mm,
		}
}

%% https://github.com/gpoore/minted/issues/288
\def\EscMintInline{%
	\FVExtraRobustCommand
	\RobustEscMintInline
	\FVExtraUnexpandedReadOArgMArgEscVArg}

\NewExpandableDocumentCommand \FVExtraUnexpandedReadOArgMArgEscVArg { o m m } {%
	\IfNoValueTF{#1}
	{\FVExtraAlwaysUnexpanded
		{\FVExtraUnexpandedReadOArgMArgEscVArg{#2}{#3}}}
	{\FVExtraAlwaysUnexpanded
		{\FVExtraUnexpandedReadOArgMArgEscVArg[#1]{#2}{#3}}}%
}

% similar to \RobustMintInline
\newrobustcmd{\RobustEscMintInline}[2][]{%
	\ifbool{FVExtraRobustCommandExpanded}%
	{\@ifnextchar\bgroup
		{\FVExtraDetokenizeREscVArg{\RobustMintInlineProcess{#1}{#2}}}%
		{\PackageError{minted}%
			{Inline delimiters must be paired curly braces in this context}%
			{Use curly braces as delimiters}}}%
	{\FVExtraDetokenizeREscVArg{\RobustMintInlineProcess{#1}{#2}}}}
\makeatother

\newcommand{\cmd}[1]{\EscMintInline[style=colorful]{console}{#1}}
%newmintinline[cmd]{console}{style=colorful,autogobble}
\newcommand{\code}[1]{\texttt{\tt #1}}

\usefolder{scitas_theme}
\usetheme{scitas}

\newcommand{\eg}{\textit{e.g.}}
\newcommand{\ie}{\textit{i.e.}}
\newcommand{\FIGREP}{figures}
\renewcommand{\arraystretch}{1.3}

% Remove numbering from the ToC when it's spread on multiple frames
\setbeamertemplate{frametitle continuation}{}

\title{{\huge Data management on HPC platforms}\\Transferring data and handling
	source code with Git}
\author[]{The SCITAS team \\ {\small https://scitas-doc.epfl.ch}}
\date{\nth{23} of May 2024}

\begin{document}
\begin{frame}[plain]
	\titlepage
\end{frame}

\section{Table of Contents}
\begin{frame}[allowframebreaks=0.8]
	\frametitle{Table of Contents}
	\tableofcontents%[hideallsubsections]
\end{frame}

% Introduction to the course
% \input{src/intro/intro}

% Data management
\input{src/data_transfers/data_transfers}

% Git
\input{src/git/git}

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-command-extra-options: "-shell-escape"
%%% TeX-master: t
%%% End:
